# Create integration with Kubernetes

Create integration with Kubernetes

Endpoint: POST /orguuid/{orguuid}/k8s/integrations
Version: 2.0
Security: bearer-security

## Security:

  - `bearer-security` (unknown)
    apiKey in header (please add Bearer prefix in the value before the actual JWT token) Authorization

## Path parameters:

  - `orguuid` (string, required)
    organization uuid

## Request body:

  - `*/*` (unknown)
    Integration to create

## Request fields (*/*):

  - `clusters` (array)

  - `connectedClusters` (integer)

  - `createdAt` (string)
    Example: 2020-01-01T00:00:00Z

  - `description` (string)

  - `environments` (array)

  - `failedClusters` (integer)

  - `kubeconfig` (array)

  - `kubeconfigPath` (string)

  - `name` (string)

  - `owner` (object)

  - `owner.email` (string)

  - `owner.name` (string)

  - `password` (string)

  - `region` (string)

  - `totalClusters` (integer)

  - `type` (string)

  - `updatedAt` (string)
    Example: 2020-01-01T00:00:00Z

  - `username` (string)

  - `uuid` (string)
    Example: c4f93b6d-8236-4d0c-a67b-3978def476a3

## Response 201:

  - `201` (unknown)
    Data field refers to a list of objects

## Response 201 fields (application/json):

  - `data` (any)

  - `errors` (array)

  - `errors.message` (string)

  - `errors.source` (string)

  - `status` (object)

